EdXposed - The successor of Xposed [Oreo/Pie/Q]

Status
Not open for further replies.

Phoenix007

Senior Member
Jun 10, 2008
119
21
48
"Riru - Core" module does not exist anymore, it's now called "Riru" ... (Magisk-module)

EdXposed module won't install because it can't find "Riru - Core"

Could you solve this please ?
 
  • Like
Reactions: Amelberger

shadowstep

Forum Moderator
Staff member
Jun 6, 2014
4,655
9,152
263
30
Ambala
For me, on OOS 9 (Android Pie):
  • Most stable combination is Riru v21.3 and EdXposed v0.4.6.4-4563 (the current available version in the Magisk Repo).
  • The latest Riru v23.0 works fine but if you enable the new hide functionality, there's a bootloop; otherwise it works well.
  • The latest EdXposed canary (at the time of writing this post is v0.5.0.6-4587) works with the latest Riru v23.0 without any bootloops, but a few modules don't work (for example GravityBox didn't work for me) while some modules work.
 

n0j0e

Senior Member
May 9, 2009
1,606
621
143
Berlin
crDroid 6.12 (A10, LOS 17.1)
Magisk 21.1
Riru 23.0
EdXposed v0.5.0.6-4586

GravityBox and Exi for SwiftKey are working fine!


EdXposed v0.5.0.6-4590 didn't work. Xposed framework not detected on EdXposed Manager / GravityBox.
Tested new EdXposed-SandHook-v0.5.1.0_4606-master-release

EdXposed Manager v4.5.7 detect this version as installed but not as active.

GravityBox works.
Exi not.
 

wolfsstolz

Senior Member
Jan 20, 2009
198
12
38
I have a Xiaomi Redmi Note 9 Pro with Android 10 and miui 12 and i have installed Magisk Manager with Riru and EdXposed nur with many Options it works nur Installation or Updates make many trubbles.
If i will activate Riru, Riru Core will deleted it self and Riru dont works anymore, problem is that nothing works If Riru Core will del but nothing works anymore.
My english is not so good but you can read self that there are Problems with Install Riru Core and with hold it on a Xiaomi Redmi Note 9 Pro.
 

testerS4

Senior Member
Mar 7, 2019
115
27
28
So I have the new version of Riru 23.0 and Xposed 0.4.6.4. no luck either. It makes everything unusable. And because of the lack of hidden core modules, the Safetynet status is also broken.
I'm following this here at XDA and hope to find a solution to the problem.
@robbayani is right ... I've tried myself up now Riru 21.3. Until then everything is going well. As of Riru 22.0 there is an error message in the EdXposed Manager. In contrast, the latest version of EdXposed 0.4.6.4 (4563) can be installed and works.
_______________________________________
(sorry for Engl ... I use translators)
Device: G960F (starlte)
LOS 17.1
Riru 21.3 ..... Xposed 0.4.6.4 (4510) YAHFA
 
Last edited:

Jumriah

New member
Jan 4, 2021
2
0
11
I am using samsung s20 plus SM G985F Edxposed on but can't read the module at all I have tried some modules but still can't



Saya menggunakan samsung s20 plus SM G985F Edxposed aktif tetapi tidak dapat membaca modul sama sekali Saya telah mencoba beberapa modul tetapi masih tidak bisa
 
Last edited by a moderator:

burningalok

Member
May 27, 2016
7
0
11
hello ,can u pls solve my problem ,i am on android 10, rooted my phone n instal edxposed,bt m chrome keeps crashing after installing edxposed..can pls anyone solve my problem
 

testerS4

Senior Member
Mar 7, 2019
115
27
28
Besides the Xposed module "VolumeSteps (1.3.1)", is there another module that divides the volume of the phone into smaller steps? VolumeSteps had the last update 4/2016. I installed it, but I don't think the module works under Q. The sequence of steps set there has no effect.
(sorry for Engl ... I use translators)
Device: G960F (starlte)
LOS 17.1
 

ironhammer

New member
Jan 16, 2021
2
0
11
EdExposed works with Riru Core v21.3. But now Clipboard-Whitelist module doesn't work (requires Riru v22+). Can we install two Riru versions simultaneously?
 

testerS4

Senior Member
Mar 7, 2019
115
27
28
EdExposed works with Riru Core v21.3. But now Clipboard-Whitelist module doesn't work (requires Riru v22+). Can we install two Riru versions simultaneously?
I've now experimented a little with EdXposed on Android 11 as well. I think Android 11 generally needs Riru 22+ ...
I've tried a lot, many combinations were incorrect. I finally installed the following modules.
Riru v. 23.3
EdXposed v. 0.5.1.4 _ 4655-master (YAHFA)
EdXposed Manager v.4.5.7 (45700)

Manager shows EdXposed as activ.
HiddenCoreModule ... active
Magisk 23.3, Hide activated, Magisk hide, Systemless Hosts
SafetyNet Status ... Successful

I also successfully tested it under LOS 17.1!

(sorry for Engl ... I use translators)
Device: G960F (starlte) , LOS 18.1 (android 11)


Good luck
 
Last edited:

ironhammer

New member
Jan 16, 2021
2
0
11
EdExposed works with Riru Core v21.3. But now Clipboard-Whitelist module doesn't work (requires Riru v22+). Can we install two Riru versions simultaneously?
Update:
Thank you @testerS4.

Phone: Poco F1 [MIUI 12 stable]
Everything is working as of now:
Riru v23.3
EdXposed v. 0.5.1.4 _ 4655-master (YAHFA)
EdXposed Manager v.4.5.7 (45700)
Clipboard-Whitelist active
HiddenCoreModule active
SafetyNet successful
 

testerS4

Senior Member
Mar 7, 2019
115
27
28
  • Like
Reactions: zyphyrs
Status
Not open for further replies.